package kcg.faics.board.util;

import org.apache.commons.lang3.StringUtils;

/**
 * 게시판 관련 유틸리티.
 * 
 * @author kimnomin
 *
 */
public final class BoardUtils {
	
	/**
	 * 생성자.
	 */
	private BoardUtils() {
		
	}
	
	/**
	 * 파일을 저장할 경로의 프로퍼티 키를 반환한다.
	 * 
	 * @param boardId
	 *            게시판ID
	 * @return 파일을 저장할 경로의 프로퍼티 키
	 */
	public static String getStorePathKey(final String boardId) {
		String storePathKey = "";
		String boardIdLower = "";
		
		if (StringUtils.isNotBlank(boardId)) {
			boardIdLower = StringUtils.lowerCase(boardId);
		}

		switch (boardIdLower) {
		case "bbs":
			storePathKey = "Bbs.bbs.fileStorePath";
			break;
		case "data":
			storePathKey = "Bbs.data.fileStorePath";
			break;
		case "fa_arrest_rpt":
			storePathKey = "Bbs.faArrestReport.fileStorePath";
			break;
		case "fa_info_rpt":
			storePathKey = "Bbs.faInfoReport.fileStorePath";
			break;
		case "fa_target":
			storePathKey = "Bbs.faTarget.fileStorePath";
			break;
		case "guard_info":
			storePathKey = "Bbs.guardInfo.fileStorePath";
			break;
		case "notice":
			storePathKey = "Bbs.notice.fileStorePath";
			break;
		case "stat_bbs":
			storePathKey = "Bbs.statBbs.fileStorePath";
			break;
		default:
			storePathKey = "";
			break;
		}

		return storePathKey;
	}
}
